cascading.tap.hadoop.io

## Class MultiInputSplit

- java.lang.Object
- - cascading.tap.hadoop.io.MultiInputSplit

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable, org.apache.hadoop.mapred.InputSplit, org.apache.hadoop.mapred.JobConfigurable

      public class MultiInputSplit
      extends Object
      implements org.apache.hadoop.mapred.InputSplit, org.apache.hadoop.mapred.JobConfigurable

  Class MultiInputSplit is used by MultiInputFormat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CASCADING_SOURCE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiInputSplit()` This constructor is used internally by Hadoop.
    `MultiInputSplit(org.apache.hadoop.mapred.InputSplit inputSplit, Map<String,String> config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(org.apache.hadoop.mapred.JobConf jobConf)`
    `static String` | `getCurrentTapSourcePath(org.apache.hadoop.mapred.JobConf jobConf)` Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.
    `long` | `getLength()`
    `String[]` | `getLocations()`
    `org.apache.hadoop.mapred.InputSplit` | `getWrappedInputSplit()`
    `void` | `readFields(DataInput in)`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CASCADING_SOURCE_PATH

          public static final String CASCADING_SOURCE_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MultiInputSplit

          public MultiInputSplit(org.apache.hadoop.mapred.InputSplit inputSplit,
                         Map<String,String> config)

    - #### MultiInputSplit

          public MultiInputSplit()

      This constructor is used internally by Hadoop. it is expected `configure(org.apache.hadoop.mapred.JobConf)` and `readFields(java.io.DataInput)` are called to properly initialize.

  - ### Method Detail

    - #### getCurrentTapSourcePath

          public static String getCurrentTapSourcePath(org.apache.hadoop.mapred.JobConf jobConf)

      Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.

      Use this method inside an Operation to find the current file being processed.
      Parameters:
        `jobConf` -
      Returns:
        a String

    - #### configure

          public void configure(org.apache.hadoop.mapred.JobConf jobConf)

      Specified by:
        `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`

    - #### getLength

          public long getLength()
                         throws IOException

      Specified by:
        `getLength` in interface `org.apache.hadoop.mapred.InputSplit`
      Throws:
        `IOException`

    - #### getLocations

          public String[] getLocations()
                                throws IOException

      Specified by:
        `getLocations` in interface `org.apache.hadoop.mapred.InputSplit`
      Throws:
        `IOException`

    - #### getWrappedInputSplit

          public org.apache.hadoop.mapred.InputSplit getWrappedInputSplit()

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.